## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASEProxyTableLoader

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader
          org.eclipse.datatools.enablement.ase.catalog.SybaseASEProxyTableLoader

Direct Known Subclasses:
  SybaseASEWebServiceTableLoader

    public class SybaseASEProxyTableLoader

extends SybaseASEBaseTableLoader

Author:
  Hao wang

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader
`DEFAULT_CONCURRENCY_THRESHOLD, HASH, LIST, RANGE, ROUND_ROBIN`

Constructor Summary
`SybaseASEProxyTableLoader(SybaseASEBaseTable masterObj)`

Method Summary
`java.lang.String` `getExternalPath()`
`ProxyTableExternalType` `getExternalType()`
`java.lang.String` `getFileDelimiter()`
`boolean` `isExisting()`

Methods inherited from class org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader

`getCatalogDatabase, getColumns, getConcurrencyOptThreshold, getConnection, getConstraints, getExpRowSize, getFillFactor, getIdentityGap, getIndex, getLockPromotion, getLockSchema, getMaxRowPerPage, getPartitionCondition, getPartitions, getPrivileges, getReservePageGap, getSegment, getStatus, getTableId, getTableOnlyCacheInfo, getTextImageSegment, getTextOnlyCacheInfo, getTriggers, isNeedRefresh, refresh`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEProxyTableLoader

    public SybaseASEProxyTableLoader(SybaseASEBaseTable masterObj)

Method Detail

### getExternalType

    public ProxyTableExternalType getExternalType()

### isExisting

    public boolean isExisting()

### getFileDelimiter

    public java.lang.String getFileDelimiter()

### getExternalPath

    public java.lang.String getExternalPath()